CADxp: lisp surface - CADxp

Aller au contenu

Page 1 sur 1
  • Vous ne pouvez pas commencer un sujet
  • Vous ne pouvez pas répondre à ce sujet

lisp surface

#1 L'utilisateur est hors-ligne   pointpower 

  • ceinture noire
  • Groupe : Membres
  • Messages : 482
  • Inscrit(e) : 17-novembre 06

Posté 21 avril 2009 - 15:05

Bonjour,

Je cherche un lisp qui me permettra de faire des métrés de surfaces (polyligne, ligne, cercle, hachure,arc...). Il serait intéressant d'appliquer ce lisp après avoir sélectionner mes objets avec le bouton sélection rapide.

Quelqu'un a une idée?

J'ai trouvé des lisps trop compliqués et qui n'inclus pas les hachures.

Merci
0

#2 L'utilisateur est hors-ligne   (gile) 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 11260
  • Inscrit(e) : 02-septembre 05

Posté 21 avril 2009 - 19:15

Salut,

TotalArea, sur cette page.
Gilles Chanteau - gileCAD -
Développements sur mesure pour AutoCAD
Image IPB
0

#3 L'utilisateur est hors-ligne   pointpower 

  • ceinture noire
  • Groupe : Membres
  • Messages : 482
  • Inscrit(e) : 17-novembre 06

Posté 22 avril 2009 - 09:09

Merci.

Celui-ci me parait compliqué par contre j'en ai trouvé un plus simle est-ce que quelqu'un peut le modifier pour qu'il prenne en compte également les hachures.

;calcule la somme des surfaces des
;polygones sélectionnés
(defun c:SumArea ( / ss i o a ) ;D. C Georges S 2007
(setq ss (ssget (list (cons 0 "lwpolyline")))
i 0
a 0)
(repeat (sslength ss)
(setq o (vlax-ename->vla-object (ssname ss i)))
(setq i (+ 1 i))
(setq a (+ a (vla-get-area o)))
)
(setq str (strcat "Surface totale de " (itoa i) " polygones = " (rtos a 2 2) " m²"))
;(print str)
);fin defun
(princ "\nSomme des surfaces polygones chargé, taper Sumarea pour commencer.")
En jouant avec la fonction ssget on peut affiner les sélections.
0

#4 L'utilisateur est hors-ligne   lili2006 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 12003
  • Inscrit(e) : 21-décembre 05

Posté 22 avril 2009 - 09:38

Bonjour à toutes et tous,

Citation

Celui-ci me parait compliqué


Heu, tu parles de "TotalArea" ?

Au contraire il est très simple d'utilisation et très complet puisqu'il utilise les propriétés dynamiques des objets.

A savoir, tu peux retravailler une surface et mettre à jour tes données. Tu peux également imposer une unité de résultat (exemple : Tu dessines en EO en "cm" et tu souhaites des résultats de surface en m²,...).

Tu peux également lier (et visualiser d'un coup d'oeil !!!) l'ensemble de plusieurs polylignes pour faire un métré, c'est génial (exemple : surface totale de zone bureaux, couloirs, ....).



(Gile) à même prévu une aide, c'est pas beau ça,...

[img=700x500]http://images2.hiboo...10ffdca8677.jpg[/img]
Au passage, idem pour "totalperimètre",...

:P
0

#5 L'utilisateur est hors-ligne   pointpower 

  • ceinture noire
  • Groupe : Membres
  • Messages : 482
  • Inscrit(e) : 17-novembre 06

Posté 22 avril 2009 - 14:07

ok merci je vais le tester de suite.

A+
0

#6 L'utilisateur est hors-ligne   mattxp 

  • ceinture blanche
  • Groupe : Membres
  • Messages : 4
  • Inscrit(e) : 19-janvier 17

Posté 31 mars 2017 - 13:37

Voir le message(gile), le 21 avril 2009 - 19:15 , dit :

Salut,


TotalArea, sur cette page.


Bonjour,

le lien me renvoie un message d'erreur, et je ne peux donc pas accéder au lisp. Je recherche le même genre de lisp, j'ai eu l'habitude d'utiliser "chpaire" dans une ancienne agence mais ne le retrouve nulle part ; celui ci a cependant l'air(e) plus complet ;)

Merci d'avance,

Matt
0

#7 L'utilisateur est hors-ligne   (gile) 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 11260
  • Inscrit(e) : 02-septembre 05

Posté 31 mars 2017 - 14:14

Salut,

Regarde ici.
Gilles Chanteau - gileCAD -
Développements sur mesure pour AutoCAD
Image IPB
0

#8 L'utilisateur est hors-ligne   mattxp 

  • ceinture blanche
  • Groupe : Membres
  • Messages : 4
  • Inscrit(e) : 19-janvier 17

Posté 31 mars 2017 - 15:15

Voir le message(gile), le 31 mars 2017 - 14:14 , dit :

Salut,

Regarde ici.


Super merci ! A bientot et merci pour la réactivité !
0

Partager ce sujet :


Page 1 sur 1
  • Vous ne pouvez pas commencer un sujet
  • Vous ne pouvez pas répondre à ce sujet

1 utilisateur(s) en train de lire ce sujet
0 membre(s), 1 invité(s), 0 utilisateur(s) anonyme(s)